<h5 class="text-center text-dark">Recent Post</h5>
<div class="container my-3">
  <div *ngIf="recentPosrData">
    <div class="card mb-2" *ngFor="let data of recentPosrData | slice : startPage:paginationLimit">
      <div class="card-body">
        {{data.postdata}}
        <p class="text-right mb-0">
          <small>Posted by - <i class="primary-text">{{data.postedby | uppercase}}</i></small>
        </p>
      </div>
    </div>
  </div>
  <div class="text-center my-3">
    <button class="btn primary-btn mx-2" *ngIf="recentPosrData &&  paginationLimit < recentPosrData.length" (click)="showMoreItems()">
      Load more post
    </button>
    <button class="btn primary-btn" *ngIf="recentPosrData &&  paginationLimit > 5" (click)="showLessItems()">
      Load Less post
    </button>
  </div>
  <div class="text-center">
    <div class="alert alert-info soc-alert" role="alert" *ngIf="!recentPosrData">
      {{statusMessage}}
    </div>

    <div *ngIf="recentPosrData && recentPosrData.length == 0">
      <div class="alert alert-info" role="alert">
        No data available.! please try after sometime.!
      </div>
      <div class="text-center my-3">
        <button class="btn pribary-bg" routerLink="/new-post">Add New Post</button>
      </div>
    </div>

    <div *ngIf="!recentPosrData">
      <div *ngIf="loadingSpinner">
        <img src="/assets/images/spinner-logo.gif" alt="Loading..." width="125px" />
      </div>
    </div>
  </div>
</div>